aboutsummaryrefslogtreecommitdiff
path: root/t/t9200-git-cvsexportcommit.sh
diff options
context:
space:
mode:
authorEric Wong <normalperson@yhbt.net>2006-12-28 01:10:52 -0800
committerJunio C Hamano <junkio@cox.net>2006-12-28 01:28:14 -0800
commite32139aa0e8bea9f976baee2c484d96add37623c (patch)
tree19f5dccef86a49dd064ea7d802b5177c34dc4206 /t/t9200-git-cvsexportcommit.sh
parent6f7c86df7ade3956559071ea529a711377d80819 (diff)
downloadgit-e32139aa0e8bea9f976baee2c484d96add37623c.tar.gz
git-e32139aa0e8bea9f976baee2c484d96add37623c.tar.xz
t9200-git-cvsexportcommit.sh: quiet down commit
Also, fixed an unportable use of 'export'. Signed-off-by: Eric Wong <normalperson@yhbt.net> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 't/t9200-git-cvsexportcommit.sh')
-rwxr-xr-xt/t9200-git-cvsexportcommit.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/t/t9200-git-cvsexportcommit.sh b/t/t9200-git-cvsexportcommit.sh
index ca0513b16..315119abf 100755
--- a/t/t9200-git-cvsexportcommit.sh
+++ b/t/t9200-git-cvsexportcommit.sh
@@ -14,16 +14,18 @@ then
exit
fi
-export CVSROOT=$(pwd)/cvsroot
-export CVSWORK=$(pwd)/cvswork
+CVSROOT=$(pwd)/cvsroot
+CVSWORK=$(pwd)/cvswork
+GIT_DIR=$(pwd)/.git
+export CVSROOT CVSWORK GIT_DIR
+
rm -rf "$CVSROOT" "$CVSWORK"
mkdir "$CVSROOT" &&
cvs init &&
cvs -Q co -d "$CVSWORK" . &&
-export GIT_DIR=$(pwd)/.git &&
echo >empty &&
git add empty &&
-git commit -a -m "Initial" 2>/dev/null ||
+git commit -q -a -m "Initial" 2>/dev/null ||
exit 1
test_expect_success \